## vertex 0.1.10-1

=== vertex/Makefile ===
# Platform Configurator generated Makefile
#
PREFIX = /home/macan/src/pkg/vertex-0.1.10/debian/vertex/usr

CFLAGS = -O2 -DHAVE_IMLIB `gtk-config --cflags` 

INC_DIRS =

LIBS = -lm -lImlib -lGL -lGLU -lpthread `gtk-config --libs` -lgtkgl

LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/

CC = cc

CPP = c++

# Appended stuff starts here
#

# C++ flags:
CPPFLAGS = -D__cplusplus -Dc_plusplus

# Source files list:
include Makefile.srclist

# Compiler set up:
BIN     = vertex
OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)
.c.o:
	+$(CC) -c $*.c $(INC_DIRS) $(CFLAGS)
.cpp.o:
	+$(CPP) -c $*.cpp $(INC_DIRS) $(CFLAGS) $(CPPFLAGS)

# Build rules:
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"

$(BIN): $(OBJ_C) $(OBJ_CPP) 
	$(CPP) $(OBJ_C) $(OBJ_CPP) -o $(BIN) $(LIBS) $(LIB_DIRS)

config:
	$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

all: config $(BIN)


# Install Rules:
include Makefile.install.UNIX


# Maintainance and Misc Rules:
clean:
	rm -f a.out core *.o $(BIN)
