=== debian/changelog ===
vertex (0.1.10-1) unstable; urgency=low

  * New upstream version

 -- Eduardo Marcel Macan <macan@debian.org>  Sat,  6 Apr 2002 21:51:59 +0000

vertex (0.1.6-1.2) unstable; urgency=low

  * NMU (Eduardo asked me to take care of this while he's away)
  * debian/rules: added a link to the /usr/share/vertex/LICENSE
    file wich is used in the "user installation" program.
    (Closes: #11832)
  * debian/rules: some cleaning here.
  * debian/control: changed build-depends on xlibmesa-dev to
    xlibmesa-dev|libgl-dev

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 21 Nov 2001 21:17:35 -0200

vertex (0.1.6-1.1) unstable; urgency=low

  * NMU to fix build-failures
  * debian/control:
    - added Build-Depends on gtkglarea5-dev, imlib-dev, xlibmesa-dev
      (Closes: #117406)
    - bumped Standards-Version
    - cleaned up package description a little

 -- Branden Robinson <branden@debian.org>  Mon,  5 Nov 2001 12:20:46 -0500

vertex (0.1.6-1) unstable; urgency=low

  * Initial Release (closes: #110174) .

 -- Eduardo Marcel Macan <macan@debian.org>  Wed, 10 Oct 2001 18:03:49 -0300
