=== debian/control ===
Source: vertex
Section: graphics
Priority: optional
Maintainer: Eduardo Marcel Macan <macan@debian.org>
Build-Depends: debhelper (>> 3.0.0), gtkglarea5-dev, imlib-dev, xlibmesa-dev|libgl-dev
Standards-Version: 3.5.6

Package: vertex
Architecture: any
Depends: ${shlibs:Depends}
Description: a GTK+OpenGL 3D modeller
 Vertex is a 3D modeller designed specifically for generating efficient
 models for (but not limited to) games and applications using OpenGL's
 style of graphics rendering.
