=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# This package can be optimized to some specific architectures
	# you can probably gain performance if you take the following
	# disables out and regenerate it from source.
	./configure Linux  --prefix=$(CURDIR)/debian/vertex/usr \
	--CFLAGS="-O2 -Wall" -v --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
        --disable="arch-i486" \
        --disable="arch-i586" \
        --disable="arch-i686" \
        --disable="arch-pentiumpro" 


	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/vertex.sgml > vertex.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f pconf/pconf

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/vertex.
	$(MAKE) install prefix=$(CURDIR)/debian/vertex
#FIXME: lets just move the man tree to the place it should be
	mv $(CURDIR)/debian/vertex/usr/man $(CURDIR)/debian/vertex/usr/share
#FIXME: lets get rid of a GPL file in a strange place and link the
#	/usr/share/common-licenses/GPL file to it, as it is needed
#	by the vertex "user installation" (see binary-rch)
	rm $(CURDIR)/debian/vertex/usr/share/vertex/LICENSE


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_link usr/share/common-licenses/GPL-2 \
		usr/share/vertex/LICENSE
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
