## vertex 0.1.14

=== Makefile ===
ALL_SRC_DIRS=vertex
all config install clean:
	@for subdir in $(ALL_SRC_DIRS); do				\
	  make -C $$subdir -f Makefile $@; 				\
	done
